%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gazpacho
Version:        0.7.1
Release:        1%{?dist}
Summary:        Glade Interface Creator

Group:          Development/Tools
License:        GPL
URL:            http://gazpacho.sicem.biz/
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gazpacho/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch

BuildRequires:  python-devel, desktop-file-utils, python-kiwi, gettext
Requires:       pygtk2 >= 2.4.0, pygtk2-libglade, python-kiwi-gazpacho


%description
This program allows you to create the Graphical User Interface (GUI) of your
GTK+ program in a visual way. Yes, it is a Glade-3 clone. It is compatible with
libglade.


%prep
%setup -q
sed -i -e 's|share/doc/gazpacho|share/doc/gazpacho-%{version}|' setup.py


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_docdir}/gazpacho
desktop-file-install \
    --delete-original \
    --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    --add-category Application \
    --add-category Development \
    --add-category X-Fedora \
    $RPM_BUILD_ROOT%{_datadir}/applications/gazpacho.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING NEWS AUTHORS CONTRIBUTORS ChangeLog examples doc
%{python_sitelib}/gazpacho
%{_datadir}/gazpacho
%{_bindir}/*
%{_datadir}/applications/*.desktop


%changelog
* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.7.1-1
- Upstream 0.7.1

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.7.0-1
- Version 0.7.0
- Ghostbustng
- Don't manually provide python-abi

* Fri Jul 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.6-1
- Version 0.6.6
- BuildRequire python-kiwi, gettext
- Require python-kiwi-gazpacho

* Wed Feb 01 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.5-1
- Version 0.6.5

* Thu Jan 12 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.4-1
- Version 0.6.4

* Thu Jan 05 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.3-1
- Version 0.6.3
- .nox patch no longer needed

* Tue Nov 22 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.2-2
- Handle docdir correctly
- Package missed docs

* Sat Oct 29 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.6.2-1
- Version 0.6.2
- Conform to extras spec standards
- List files namely, do not rely on INSTALLED_FILES
- Use desktop-file-utils to install the .desktop file
- Use find_lang

* Fri Aug 19 2005 Jeremy Katz <katzj@redhat.com> - 0.6.1
- update to 0.6.1

* Thu Apr 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.3-2
- rebuild for devel

* Thu Apr 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.3-1
- update to 0.5.3

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.2-5
- Fix %%dir find in %%install section.

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.2-4
- Include five missing directories.
- Add python-abi dependency.

* Thu Mar 24 2005 Seth Vidal <skvidal at phy.duke.edu> - 0.5.2-3
- add patch for setup.py from upstream cvs to fix lack of gazpacho/path.py

* Wed Mar 23 2005 Seth Vidal <skvidal at phy.duke.edu> - 0.5.2-2
- increment release for rebuild on python 2.4

* Mon Feb 21 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- update to 0.5.2

* Mon Feb 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- update to 0.5.1

* Wed Feb  9 2005 Jeremy Katz <katzj@redhat.com> - 0.5.0-1
- update to 0.5.0

* Fri Jan 28 2005 Jeremy Katz <katzj@redhat.com> - 0.4.0-1
- Initial build.

